org.apache.bcel.classfile

## Class EnclosingMethod

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.EnclosingMethod

- All Implemented Interfaces:
    Cloneable, Node

      public class EnclosingMethod
      extends Attribute

  This attribute exists for local or anonymous classes and ... there can be only one.
  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump attribute to file stream in binary format.
    `ConstantClass` | `getEnclosingClass()`
    `int` | `getEnclosingClassIndex()`
    `ConstantNameAndType` | `getEnclosingMethod()`
    `int` | `getEnclosingMethodIndex()`
    `void` | `setEnclosingClassIndex(int idx)`
    `void` | `setEnclosingMethodIndex(int idx)`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Description copied from class: `Attribute`
      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### copy

          public Attribute copy(ConstantPool constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### getEnclosingClassIndex

          public final int getEnclosingClassIndex()

    - #### getEnclosingMethodIndex

          public final int getEnclosingMethodIndex()

    - #### setEnclosingClassIndex

          public final void setEnclosingClassIndex(int idx)

    - #### setEnclosingMethodIndex

          public final void setEnclosingMethodIndex(int idx)

    - #### getEnclosingClass

          public final ConstantClass getEnclosingClass()

    - #### getEnclosingMethod

          public final ConstantNameAndType getEnclosingMethod()

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Description copied from class: `Attribute`
      Dump attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.